[DRE-maint] ruby-toml 0.2.0-2 MIGRATED to testing

2018-03-06 Thread Debian testing watch
FYI: The status of the ruby-toml source package in Debian's testing distribution has changed. Previous version: 0.2.0-1 Current version: 0.2.0-2 -- This email is automatically generated once a day. As the installation of new packages into testing happens multiple times a day you will

[DRE-maint] Bug#892236: ruby-grpc: FTBFS on powerpc (big-endian): Unable to add defs to DescriptorPool

2018-03-06 Thread Aaron M. Ucko
Source: ruby-grpc Version: 1.3.2+debian-4 Severity: normal Tags: upstream User: debian-powe...@lists.debian.org Usertags: powerpc Builds of ruby-grpc for powerpc (the only big-endian architecture on which its build dependencies are all available, though admittedly not a release architecture) have

[DRE-maint] ruby-pathutil 0.16.1-1 MIGRATED to testing

2018-03-06 Thread Debian testing watch
FYI: The status of the ruby-pathutil source package in Debian's testing distribution has changed. Previous version: (not in testing) Current version: 0.16.1-1 -- This email is automatically generated once a day. As the installation of new packages into testing happens multiple times a day

[DRE-maint] Bug#892250: ruby-rack-protection: CVE-2018-1000119: Timing attack in authenticity_token.rb

2018-03-06 Thread Salvatore Bonaccorso
Source: ruby-rack-protection Version: 1.5.2-1 Severity: grave Tags: patch security upstream Hi, the following vulnerability was published for ruby-rack-protection. CVE-2018-1000119[0]: Timing attack in authenticity_token.rb If you fix the vulnerability please also make sure to include the CVE

[DRE-maint] Bug#877257: marked as done (ruby-grape: FTBFS with ruby2.3 and ruby-rack-test 0.7)

2018-03-06 Thread Debian Bug Tracking System
Your message dated Tue, 6 Mar 2018 17:23:32 +0200 with message-id <20180306152332.GD7540@localhost> and subject line Fixed in 0.19.2-3 has caused the Debian Bug report #877257, regarding ruby-grape: FTBFS with ruby2.3 and ruby-rack-test 0.7 to be marked as done. This means that you claim that the

[DRE-maint] Bug#890257: marked as done (ruby-grape: FTBFS with ruby2.3 and ruby-rack-test 0.7)

2018-03-06 Thread Debian Bug Tracking System
Your message dated Tue, 6 Mar 2018 17:23:32 +0200 with message-id <20180306152332.GD7540@localhost> and subject line Fixed in 0.19.2-3 has caused the Debian Bug report #877257, regarding ruby-grape: FTBFS with ruby2.3 and ruby-rack-test 0.7 to be marked as done. This means that you claim that the

[DRE-maint] Processed: Re: Bug#868839: ruby-mustermann, ruby-mustermann19: error when trying to install together

2018-03-06 Thread Debian Bug Tracking System
Processing control commands: > reassign -1 ruby-mustermann 1.0.0-1 Bug #868839 [ruby-mustermann] ruby-mustermann: missing Breaks+Replaces: ruby-mustermann19 Bug #868851 [ruby-mustermann] ruby-mustermann: missing Breaks+Replaces: ruby-mustermann19 Ignoring request to reassign bug #868839 to the

[DRE-maint] Processed: Re: Bug#868839: ruby-mustermann, ruby-mustermann19: error when trying to install together

2018-03-06 Thread Debian Bug Tracking System
Processing control commands: > reassign -1 ruby-mustermann 1.0.0-1 Bug #868839 [ruby-mustermann,ruby-mustermann19] ruby-mustermann,ruby-mustermann19: error when trying to install together Bug reassigned from package 'ruby-mustermann,ruby-mustermann19' to 'ruby-mustermann'. No longer marked as

[DRE-maint] Bug#892181: ruby-ncurses fails to load with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Package: ruby-ncurses Version: 1.4.9-1 Severity: serious Control: affects -1 src:sup-mail https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/sup-mail.html ... RUBYLIB=/build/1st/sup-mail-0.22.1/debian/sup-mail/usr/lib/ruby/vendor_ruby:.

[DRE-maint] Processed: ruby-ncurses fails to load with Ruby 2.5

2018-03-06 Thread Debian Bug Tracking System
Processing control commands: > affects -1 src:sup-mail Bug #892181 [ruby-ncurses] ruby-ncurses fails to load with Ruby 2.5 Added indication that 892181 affects src:sup-mail -- 892181: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=892181 Debian Bug Tracking System Contact

[DRE-maint] Bug#892183: ruby-rbpdf: FTBFS and Debci failure with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Source: ruby-rbpdf Version: 1.19.0-1 Severity: serious Tags: buster sid https://ci.debian.net/packages/r/ruby-rbpdf/unstable/amd64/ https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ruby-rbpdf.html ...

[DRE-maint] Bug#868839: ruby-mustermann, ruby-mustermann19: error when trying to install together

2018-03-06 Thread Adrian Bunk
Control: reassign -1 ruby-mustermann 1.0.0-1 Control: reassign 868851 ruby-mustermann 1.0.0-1 Control: forcemerge -1 868851 Control: retitle -1 ruby-mustermann: missing Breaks+Replaces: ruby-mustermann19 Control: affects -1 ruby-mustermann19 ruby-mustermann-grape On Wed, Jul 19, 2017 at

[DRE-maint] Bug#892192: ruby-celluloid-io: FTBFS and Debci failure with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Source: ruby-celluloid-io Version: 0.16.2-5 Severity: serious Tags: buster sid https://ci.debian.net/packages/r/ruby-celluloid-io/unstable/amd64/ https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ruby-celluloid-io.html ... Failures: 1) Celluloid::IO behaves like a Celluloid

[DRE-maint] Bug#892196: ohai FTBFS with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Source: ohai Version: 8.21.0-1 Severity: serious Tags: buster sid https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ohai.html ... Failures: 1) Ohai::System plugin ruby should have version set to "2.3.6" Failure/Error: expect(@ruby_ohai_data[attribute]).to eql(value)

[DRE-maint] Bug#892185: reel: FTBFS and Debci failure with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Source: reel Version: 0.6.1-4 Severity: serious Tags: buster sid https://ci.debian.net/packages/r/reel/unstable/amd64/ https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/reel.html ... Failures: 1) Reel::Server::HTTPS verifies client SSL certs when provided with a CA

[DRE-maint] Bug#892186: chef: FTBFS and Debci failure with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Source: chef Version: 12.14.60-3 Severity: serious https://ci.debian.net/packages/c/chef/unstable/amd64/ https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/chef.html ... Failures: 1) Chef::ChefFS::FileSystem::Repository::Directory creates directories creates a new directory

[DRE-maint] Bug#892188: foodcritic: FTBFS and Debci failure with Ruby 2.5

2018-03-06 Thread Adrian Bunk
Source: foodcritic Version: 8.1.0-1 Severity: serious Tags: buster sid https://ci.debian.net/packages/f/foodcritic/unstable/amd64/ https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/foodcritic.html ...

[DRE-maint] Bug#892189: ruby-mini-magick: FTBFS and Debci failure with imagemagick 8:6.9.9.34+dfsg-3

2018-03-06 Thread Adrian Bunk
Source: ruby-mini-magick Version: 4.8.0-1 Severity: serious https://ci.debian.net/packages/r/ruby-mini-magick/unstable/amd64/ https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ruby-mini-magick.html ... Failures: 1) With ImageMagick MiniMagick::Image#data when the data return

[DRE-maint] Bug#892191: ruby-progressbar FTBFS with Ruby 2.5: Failure/Error: require 'mathn'

2018-03-06 Thread Adrian Bunk
Source: ruby-progressbar Version: 1.4.2-1 Severity: serious Tags: buster sid https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ruby-progressbar.html ... ┌──┐ │ Run tests for ruby2.5 from

[DRE-maint] Bug#892194: ruby-sshkit FTBFS with Ruby 2.5: test failure

2018-03-06 Thread Adrian Bunk
Source: ruby-sshkit Version: 1.9.0-1 Severity: serious Tags: buster sid https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ruby-sshkit.html ... ┌──┐ │ Run tests for ruby2.5 from debian/ruby-tests.rake

[DRE-maint] Processed: affects 870306

2018-03-06 Thread Debian Bug Tracking System
Processing commands for cont...@bugs.debian.org: > affects 870306 src:ruby-solve Bug #870306 [src:ruby-dep-selector] ruby-dep-selector FTBFS with libgecode-dev 5.1.0-2 Added indication that 870306 affects src:ruby-solve > thanks Stopping processing here. Please contact me if you need